Loading...
Searching...
No Matches
gtsam::ISAM2GaussNewtonParams Struct Reference
ISAM2

## Detailed Description

Parameters for ISAM2 using Gauss-Newton optimization.

Either this class or ISAM2DoglegParams should be specified as the optimizationParams in ISAM2Params, which should in turn be passed to ISAM2(const ISAM2Params&).

## Public Member Functions

| ISAM2GaussNewtonParams (double _wildfireThreshold=0.001)
| Specify parameters as constructor arguments.
void | print (const std::string str="") const
double | getWildfireThreshold () const
void | setWildfireThreshold (double wildfireThreshold)

## Public Attributes

double | wildfireThreshold
| Continue updating the linear delta only when changes are above this threshold (default: 0.001).

## Constructor & Destructor Documentation

## ISAM2GaussNewtonParams()

gtsam::ISAM2GaussNewtonParams::ISAM2GaussNewtonParams | ( | double | _wildfireThreshold = 0.001 | ) |

inline

Specify parameters as constructor arguments.

Parameters

  _wildfireThreshold | see ISAM2GaussNewtonParams public variables, ISAM2GaussNewtonParams::wildfireThreshold

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/nonlinear/ISAM2Params.h